import pandas as pd
from sklearn.feature_extraction.text import TfidfVectorizer
import pickle


class TweetStore():

    tweets_path: str = "data/tweets_all_combined.csv"
    tfidf_matrix_path = "data/tfidf_matrix.pckl"
    tfidf_vectorizer_path = "data/tfidf_vectorizer.pckl"

    def __init__(self):
        print("Loading tweets from dataframe")
        self.tweets = pd.read_csv(self.tweets_path)

        print("Loading tfidf from file")
        self.tfidf_matrix = None
        with open(self.tfidf_matrix_path, "rb") as f:
            self.tfidf_matrix = pickle.load(f)

        self.tfidf_vectorizer: TfidfVectorizer = None
        with open(self.tfidf_vectorizer_path, "rb") as f:
            self.tfidf_vectorizer = pickle.load(f)


tweet_store = TweetStore()
